Last modified: 2014-01-13 23:41:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56392 - BetaFeatures: Code quality - Load popup script in the same place as loading personal URL
BetaFeatures: Code quality - Load popup script in the same place as loading p...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
BetaFeatures (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Kunal Mehta (Legoktm)
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-10-30 21:37 UTC by Mark Holmquist
Modified: 2014-01-13 23:41 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark Holmquist 2013-10-30 21:37:31 UTC
Krinkle points out that the two are directly linked, so let's make sure they're built in the same place.
Comment 1 Krinkle 2013-10-30 21:39:09 UTC
from irc:

The link is created in BetaFeaturesHooks::getBetaFeaturesLink, so you'll want to get a reference to OutputPage there and call addModules.

This uses the PersonalUrls hook which unfortunately passes nothing with a context, so lets change that hook to pass $skin, then the hook usage can use getUser and getOut.
Comment 2 Mark Holmquist 2013-10-30 21:39:58 UTC
It should be noted that popup.js could also create the portlet link. But that's a terrible idea. :)
Comment 3 Kunal Mehta (Legoktm) 2013-12-09 05:49:47 UTC
(In reply to comment #1)

> This uses the PersonalUrls hook which unfortunately passes nothing with a
> context, so lets change that hook to pass $skin, then the hook usage can use
> getUser and getOut.

I1116fd64ea0beac148ee75ea4ec050741fc2c3b7 added SkinTemplate which provides context.
Comment 4 Gerrit Notification Bot 2013-12-10 01:32:12 UTC
Change 100519 had a related patch set uploaded by Legoktm:
Load popup script in same place as personal url

https://gerrit.wikimedia.org/r/100519
Comment 5 Gerrit Notification Bot 2014-01-13 23:39:39 UTC
Change 100519 merged by jenkins-bot:
Load popup script in same place as personal url

https://gerrit.wikimedia.org/r/100519

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links